Bug 1489855 - second monitor not waking up from lock screen
Summary: second monitor not waking up from lock screen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1491565
TreeView+ depends on / blocked
 
Reported: 2017-09-08 13:37 UTC by Jan Vlug
Modified: 2018-05-29 11:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:19:40 UTC


Attachments (Terms of Use)

Description Jan Vlug 2017-09-08 13:37:39 UTC
Description of problem:
I have two displays attached. One HDMI, one display port. I'm using nouveau. Sometimes it happens that the display port monitor does not wake up after that the screens were locked.

When I go to display settings, the screen is indeed marked as turned off. When I select it as the primary display, the screen wakes up.

I have this behavior only seen with Xorg, not on Wayland.

Graphics:  Card: NVIDIA GP107 [GeForce GTX 1050 Ti]
           Display Server: X.org 1.19.3 drivers: modesetting,fbdev,vesa
           Resolution: 1680x1050@59.88hz, 3840x2160@60.00hz
           OpenGL: renderer: Gallium 0.4 on NV137 version: 4.2 Mesa 17.1.7

Comment 1 Jan Vlug 2017-09-09 08:22:14 UTC
Today this happened again. I found this in the log:

sep 09 10:16:18 nyx kernel: Code: 39 75 c9 e0 5b 41 5c 5d c3 48 89 f9 31 f6 48 c7 c2 68 ed 62 c0 48 c7 c7 48 97 63 c0 e8 4c 85 f0 ff 8b 83 20 04 00 00 85 c0 7e c0 <0f> ff eb bc 0f 1f 40 00 6
sep 09 10:16:18 nyx kernel:  ret_from_fork+0x25/0x30
sep 09 10:16:18 nyx kernel:  ? do_syscall_64+0x67/0x140
sep 09 10:16:18 nyx kernel:  ? kthread_park+0x60/0x60
sep 09 10:16:18 nyx kernel:  ? process_one_work+0x3c0/0x3c0
sep 09 10:16:18 nyx kernel:  kthread+0x125/0x140
sep 09 10:16:18 nyx kernel:  worker_thread+0x4a/0x3a0
sep 09 10:16:18 nyx kernel:  process_one_work+0x193/0x3c0
sep 09 10:16:18 nyx kernel:  ttm_bo_delayed_workqueue+0x1b/0x40 [ttm]
sep 09 10:16:18 nyx kernel:  ttm_bo_delayed_delete+0x130/0x1c0 [ttm]
sep 09 10:16:18 nyx kernel:  ? ttm_bo_cleanup_refs_and_unlock+0xae/0x170 [ttm]
sep 09 10:16:18 nyx kernel:  ttm_bo_release_list+0xc3/0x1a0 [ttm]
sep 09 10:16:18 nyx kernel: Call Trace:
sep 09 10:16:18 nyx kernel: CR2: 00007fae900b2008 CR3: 00000006f6d89000 CR4: 00000000003406e0
sep 09 10:16:18 nyx kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
sep 09 10:16:18 nyx kernel: FS:  0000000000000000(0000) GS:ffff907abe840000(0000) knlGS:0000000000000000
sep 09 10:16:18 nyx kernel: R13: 0000000000045880 R14: ffff907ab24d91e0 R15: ffff907a9d0f8840
sep 09 10:16:18 nyx kernel: R10: ffffa45e08677d98 R11: 0000000000000000 R12: ffff907ab3c8c800
sep 09 10:16:18 nyx kernel: RBP: ffffa45e08677db0 R08: ffff907a9d0f8840 R09: 000000018040003d
sep 09 10:16:18 nyx kernel: RDX: 000000018040003e RSI: ffffe8001f743e00 RDI: ffff907ab6b5b800
sep 09 10:16:18 nyx kernel: RAX: 0000000000000001 RBX: ffff907ab6b5b800 RCX: 000000018040003d
sep 09 10:16:18 nyx kernel: RSP: 0018:ffffa45e08677da0 EFLAGS: 00010202
sep 09 10:16:18 nyx kernel: RIP: 0010:nouveau_bo_del_ttm+0x6e/0x80 [nouveau]
sep 09 10:16:18 nyx kernel: task: ffff907ab8d04b80 task.stack: ffffa45e08674000
sep 09 10:16:18 nyx kernel: Workqueue: events ttm_bo_delayed_workqueue [ttm]
sep 09 10:16:18 nyx kernel: Hardware name: Micro-Star International Co., Ltd MS-7A34/B350 PC MATE (MS-7A34), BIOS A.60 07/27/2017
sep 09 10:16:18 nyx kernel: CPU: 9 PID: 1663 Comm: kworker/9:2 Not tainted 4.12.9-300.fc26.x86_64 #1
sep 09 10:16:18 nyx kernel:  parport shpchp acpi_cpufreq tpm_tis tpm_tis_core tpm binfmt_misc dm_crypt nouveau video mxm_wmi i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul r81
sep 09 10:16:18 nyx kernel: Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_re
sep 09 10:16:18 nyx kernel: WARNING: CPU: 9 PID: 1663 at drivers/gpu/drm/nouveau/nouveau_bo.c:137 nouveau_bo_del_ttm+0x6e/0x80 [nouveau]

(Interestingly enough ABRT was not able to create a Bugzilla issue from this, but that's another issue)

Comment 2 Fedora End Of Life 2018-05-03 07:55:22 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:19:40 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.